from enum import Enum


class RECIPE(Enum):
    ISOCHRONE = "isochrone"
    ROUTE = "route"


class DISTANCE_UNIT(Enum):
    METERS = "meters"
    KILOMETERS = "kilometers"
    MILES = "miles"


class TRANSPORT_MODE(Enum):
    CAR = "car"
    BIKE = "bicycle"
    PEDESTRIAN = "pedestrian"
    PARSE_COL = "parse_col"


class CONVERSION(Enum):
    MILE_IN_METERS = 1609.344
    KILOMETER_IN_METERS = 1000
    MINUTE_IN_MILLISECONDS = 60000


N_WORKERS = 4


REGIONS = {
    "auto": "https://geo-router.api-services.dataiku.io",
    "europe": "https://geo-router.emea1.api-services.dataiku.io",
    "america": "https://geo-router.amer1.api-services.dataiku.io"
}


KNOWN_ERROR_MESSAGES = {
    "Cannot find point": "No nearby route found",
    "Point not found": "No nearby route found"
}
