from graphhopper_geo_router import GraphhopperGeoRouter
from dkuconstants import RECIPE
import pandas as pd


def get_api_geo_router(recipe):
    if recipe == RECIPE.ISOCHRONE or recipe == RECIPE.ROUTE:
        return GraphhopperGeoRouter
    else:
        raise ValueError("Wrong recipe")


def make_column_names_unique(df):
    cols = pd.Series(df.columns)
    for dup in cols[cols.duplicated()].unique():
        cols[cols[cols == dup].index.values.tolist()] = [
            dup + "_" + str(i) if i != 0 else dup for i in range(sum(cols == dup))
        ]
    df.columns = cols

def postprocess_df(df, parse_row_func,get_itinerary=None):
    if get_itinerary is not None:
        parsed_response = df["output_response"].apply(parse_row_func,args=[get_itinerary])
    else:
        parsed_response = df["output_response"].apply(parse_row_func)
    output_df = pd.concat([df, parsed_response], axis=1)
    output_df = output_df.drop("output_response", axis=1)
    error_columns = ["output_error_message","output_error_type","output_error_raw"]
    output_df = output_df[[column for column in output_df if column not in error_columns] + [column for column in error_columns if column in output_df]]
    make_column_names_unique(output_df)
    return output_df
